< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package agent
  Definition Classes
    hmrc
-  package kenshoo
  Definition Classes
    agent
-  package monitoring
  Definition Classes
    kenshoo
- AverageResponseTimer
- HttpAPIMonitor
- HttpErrorRateMeter
- MonitoredHttpClient
- MonitoringFilter

t

uk.gov.hmrc.agent.kenshoo.monitoring

# MonitoredHttpClient 

###

#### trait MonitoredHttpClient extends HttpAPIMonitor

Linear Supertypes
HttpAPIMonitor, HttpErrorRateMeter, AverageResponseTimer, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MonitoredHttpClient
2. HttpAPIMonitor
3. HttpErrorRateMeter
4. AverageResponseTimer
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  implicit abstract val ec: ExecutionContext
2.  abstract val http: HttpClient
3.  abstract val httpAPIs: Map[String, String]
4.  abstract val kenshooRegistry: MetricRegistry
   Definition Classes
     HttpErrorRateMeter

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def countErrors[T](serviceName: String)(future: Future[T])(implicit ec: ExecutionContext): Future[T]
   Definition Classes
     HttpErrorRateMeter
7.  def doDelete(url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
8.  def doEmptyPost[A](url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
9.  def doGet(url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
10.  def doPost[A](url: String, body: A, headers: Seq[(String, String)])(implicit rds: Writes[A], hc: HeaderCarrier): Future[HttpResponse]
11.  def doPut[A](url: String, body: A)(implicit rds: Writes[A], hc: HeaderCarrier): Future[HttpResponse]
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  def meterName[T](serviceName: String, statusCode: Int): String
    Definition Classes
      HttpErrorRateMeter
19.  def monitor[T](serviceName: String)(function: ⇒ Future[T])(implicit ec: ExecutionContext): Future[T]
    Definition Classes
      HttpAPIMonitor
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def timer[T](serviceName: String)(function: ⇒ Future[T])(implicit ec: ExecutionContext): Future[T]
    Definition Classes
      AverageResponseTimer
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from HttpAPIMonitor

### Inherited from HttpErrorRateMeter

### Inherited from AverageResponseTimer

### Inherited from AnyRef

### Inherited from Any

### Ungrouped